Skip to content

Device Technology Meta

Request

This API is deprecated and will be removed in July 2026

The new API docs can be found here: https://apidocs.mediamath.com/apis/reporting-api

Versions

The API allows you to determine the version of the Device Technology Report by presenting a query parameter of ?v1 or ?v2.

Starting October 3rd, 2017 v2 reports will include:

  • Device Brand – eg: Apple, Amazon, and Google
  • Device Model – eg: iPhone, Kindle Fire, Pixel
  • Browser Version – eg: Google Chrome
  • OS Version – eg: Windows 10

This insight will allow you to plan and assess performance based on device and browser, now inclusive of Mobile devices. Please note this release does not include targeting for these fields.

Initially, the v2 reports will only contain 31 days of data starting from September 2nd, 2017. New data will be added to the reports moving forward, accumulating to the full 90 days of data; the max number of days a user is currently able to pull technology report data for.

  • All existing saved/scheduled technology reports in Data Export will continue to pull data from the old reporting framework until November 1st, 2017. However, these reports will no longer be editable, meaning you may only export or deactivate the reports in the interim.
  • Additionally, all currently saved/scheduled technology reports will be automatically deactivated on November 1st, 2017.
  • From November 1st, 2017 technology reports will pull data from the v2 version of the reports by default.
  • The export will also contain 31 days of data starting from September 2nd, 2017 and accumulate to the full 90 days.
Headers
Cookiestringrequired

_

Default:"adama_session=<<sessionid>>"
GET
/device_technology/meta
curl -i -X GET \
  https://api.mediamath.com/reporting/v1/std/device_technology/meta \
  -H 'Cookie: adama_session=<<sessionid>>'

Responses

Body*/*
Namestringrequired

This is the human-readable name of the report. It is not recognized by any API input.

Versionintegerrequired

This is the version of the report. See the https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta section for more details.

Descriptionstring
URI_Datastring, (uri)required
URI_Metastring, (uri)required
Transitionobject

Reports may change over time. This object will be present if the report will undergo a breaking change. See the https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta section for more details.

Deprecationobject

Reports may be deprecated all together, or superseded by another report. This object will be present if the report is scheduled for deprecation. See the https://apidocs.mediamath.com/apis/reporting-api-v1/metadata/get_report-meta section for more details.

Typestring
currencystring

Provides information about the currency of the metrics fields typed as "money".

When set to "campaign currency", the currency varies from record to record. To determine the currency for a particular record, the campaign_currency_code dimensions field should be requested, if available for the report.

Any other value should be taken to be the currency for all records of the report.

data_retentionstring

Indicates how far back data is available. This can be a date, datetime, or time window as specified by the "time_window" and "Special Time Windows" sections of https://apidocs.mediamath.com/apis/reporting-api-v1/section/fields. This property should be used very loosely. It may not be accurate. It is meant to give a general idea.

default_metricsArray of stringsrequired

This is the list of metrics that will be returned if the metrics parameter is not specified in a call to the https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report.

structureobjectrequired
time_aggregationstring

This property indicates the finest granularity of the time_field. For reports with a time_field of the datetime type, this will be "by_hour", "by_day", etc. When the type is interval, this will be "various".

time_rollupsArray of stringsrequired

This property indicates the available levels of granularity for the time_field. It lists the valid values of the time_rollup parameter used for the https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report endpoint. For reports with a time_field of the datetime type, this tends to be a combination of "by_hour", "by_day", "by_week", "by_month", "all", etc. When the type is interval, this will only include "all".

time_windowsArray of stringsrequired

Lists the acceptable formats for the time_window parameter used by the https://apidocs.mediamath.com/apis/reporting-api-v1/data-retrieval/get_report. Some values may be used as is, others may need to be modified. For details see the time_window section of https://apidocs.mediamath.com/apis/reporting-api-v1/section/fields.

timezonestring

Provides information about the timezone of the time_field for the report.

When set to "campaign timezone", the timezone varies from record to record. To determine the currency for a particular record, the campaign_timezone dimensions field should be requested, if available for the report.

Any other value should be taken to be the timezone for all records of the report.

Response
{
  "Name": "string",
  "Version": 0,
  "Description": "string",
  "URI_Data": "http://example.com",
  "URI_Meta": "http://example.com",
  "Transition": {
    "replaced_by": "http://example.com",
    "transition_date": "2019-08-24T14:15:22Z",
    "next_version": 0
  },
  "Deprecation": {
    "superseded_by": "http://example.com",
    "deprecation_date": "2019-08-24T14:15:22Z"
  },
  "Type": "string",
  "currency": "string",
  "data_retention": "string",
  "default_metrics": [
    "string"
  ],
  "structure": {
    "time_field": {
      "property1": {
        "name": "string",
        "type": "float",
        "access": true,
        "description": "string",
        "maxLength": 0,
        "values": [
          "string"
        ]
      },
      "property2": {
        "name": "string",
        "type": "float",
        "access": true,
        "description": "string",
        "maxLength": 0,
        "values": [
          "string"
        ]
      }
    },
    "dimensions": {
      "property1": {
        "name": "string",
        "type": "float",
        "access": true,
        "description": "string",
        "maxLength": 0,
        "values": [
          "string"
        ]
      },
      "property2": {
        "name": "string",
        "type": "float",
        "access": true,
        "description": "string",
        "maxLength": 0,
        "values": [
          "string"
        ]
      }
    },
    "metrics": {
      "property1": {
        "name": "string",
        "type": "float",
        "access": true,
        "description": "string",
        "maxLength": 0,
        "values": [
          "string"
        ]
      },
      "property2": {
        "name": "string",
        "type": "float",
        "access": true,
        "description": "string",
        "maxLength": 0,
        "values": [
          "string"
        ]
      }
    }
  },
  "time_aggregation": "string",
  "time_rollups": [
    "string"
  ],
  "time_windows": [
    "string"
  ],
  "timezone": "string"
}